Blog
Github
  1. Contact
  • Getting Started
    • Introduction
    • Quickstart
    • Authentication
    • Status codes
  • Webhook
    • Webhook Setup
    • Webhook Events and Schema
  • API Reference
    • Contact
      • Listing
        GET
      • Create
        POST
      • Filter By SocialPlatformId
        GET
      • Form Fields
        GET
      • Detail
        GET
      • Update
        PATCH
      • Delete
        DELETE
      • Fetch Contact Groups
        GET
    • Tag
      • Listing
    • Channel
      • Listing
      • Create
    • Ticket
      • Listing
      • Create
      • Filter by Contact ID
      • Form Fields
      • Update
      • Update status
    • Category
      • Listing
    • CxLog
      • Listing
    • Message
      • Send message
Blog
Github
  1. Contact

Detail

GET
/api/v1/contacts/{id}
This endpoint allows you to retrieve a contact by providing their klink.cloud id. Refer to the list at the top of this page to see which properties are included with contact objects.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://apigw.klinkcx.com/api/v1/contacts/' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
  "status": "success",
  "message": "contact",
  "data": {
    "id": "c786bb40-a58e-4d60-afe6-061e2b819811",
    "name": "FrankMcCallister",
    "address": null,
    "channel": null,
    "notes": null,
    "socialProfileUrl": "https://assets.protocol.chat/avatars/frank.jpg",
    "tags": [
      {
        "id": "4d45ba6c-728e-4ca8-91cb-91bac1572622",
        "name": "platinum"
      }
    ],
    "company": {
      "id": "547f2af6-1e6d-420e-aaed-b6448d37fd08",
      "name": "K-Link",
      "phone": null,
      "address": null,
      "industry": null
    },
    "email": [
      {
        "email": "frankmccallister@gmail.com",
        "isPrimary": true
      }
    ],
    "phone": [
      {
        "phone": "1-800-759-3000",
        "isPrimary": true
      }
    ],
    "customFields": [
      {
        "system_name": "demo_test",
        "display_name": "demo test ddddfee erefesf",
        "type": "text",
        "value": "another field"
      }
    ]
  }
}
Modified at 2026-01-08 17:46:48
Previous
Form Fields
Next
Update
Built with